## List payout activities

Retrieves all activities, events, and payout session information for a given payout.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/list-payout-activities HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  payout_id: string,
}
```

Returns: array

## Request arguments

### `payout_id` (string)

**Required**. The unique identifier of the payout to retrieve activities.

## Response attributes

### `created_at` (number)

**Always present**. Unix timestamp indicating when the activity was created.

### `activity` (string)

**Always present**. The type of activity that was performed. Supported values:

* `payout_completed`: The payout was successfully completed.
* `payout_created`: The payout record was created.

Possible values:

- `payout_completed`
- `payout_created`

### `path` (string)

_Nullable_. The URL path where the activity occurred.

### `ip_address` (string)

_Nullable_. The IP address of the client that initiated the activity.

### `severity` (string)

**Always present**. The severity level of the activity log (INFO, WARN, ERROR).

Possible values:

- `INFO`
- `WARN`
- `ERROR`

### `request` (object)

_Nullable_. Request information for log activities (not events).
Contains details about the original request that generated this activity.

### `response` (["object", "string"])

_Nullable_. Response information for log activities (not events).
Contains details about the response that was generated for this activity.

### `event_deliveries` (array)

_Nullable_. Array of event delivery objects containing webhook delivery information.
Only present for activities that are events with associated webhook deliveries.

### `payout_status` (string)

_Nullable_. The status of the payout at the time of the activity.

## Errors specific to this endpoint

### `NOT_FOUND`

This error occurs when no payout with the provided ID exists in your
merchant account. Double check that you're using the correct payout ID.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
